Bug 175743 - directory umask problem not yet fixed
directory umask problem not yet fixed
Product: Fedora
Classification: Fedora
Component: xscreensaver (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Depends On:
  Show dependency treegraph
Reported: 2005-12-14 09:46 EST by Mamoru TASAKA
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 4.23-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-01-23 08:09:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mamoru TASAKA 2005-12-14 09:46:51 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; ja-JP; rv:1.8) Gecko/20051211 Fedora/1.5-1.1 Firefox/1.5

Description of problem:
In the bug 161728, I proposed the fix to have xscreensaver rpms  
own the requires directories with appropriate permission.

My patch (id=121836) is for writing out the directories name where some
files are installed (with messages like "Installing *** in the directory
***") and the messages are catched by the new list_files  
( The part "sed -e 's@.*directory.* \(/[^ ]*\)$@ \1DIR@'"  is for dealing   
with the message "in the directory ***" newly added by the patch). 
So, as of my proposal fixes, only changing list_files makes no effect.

It seems that I cannot reopen the bug 161728 (perhaps it was not me that   
opened the bug ), so I newly opened this bug.  

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. check " rpm -qlpvv xscreensaver-base-4.22-21.i386.rpm"

Actual Results:  No directory is included in xscreensaver-base-4.22-21 rpm 
(and the other 2 rpms).

Expected Results:  Three xscreensaver rpms should own the required directories

Additional info:
Comment 1 Mamoru TASAKA 2005-12-14 09:55:50 EST
The expected results is "The xscreensaver rpms should own the
required directories correctly", sorry for my typo...
Comment 2 Mamoru TASAKA 2006-01-23 08:09:53 EST
Verified that this is fixed in 4.23.

Note You need to log in before you can comment on or make changes to this bug.